
// ========== 租户相关 ==========

const TenantIdKey = 'TENANT_ID'
// const TenantNameKey = 'TENANT_NAME'

export function setTenantId (username) {
  localStorage.setItem(TenantIdKey, username)
}

export function getTenantId () {
  return localStorage.getItem(TenantIdKey)
}

const AccessTokenKey = 'ACCESS_TOKEN'
const RefreshTokenKey = 'REFRESH_TOKEN'

// ========== Token 相关 ==========

export function getAccessToken () {
  return localStorage.getItem(AccessTokenKey)
}

export function getRefreshToken () {
  return localStorage.getItem(RefreshTokenKey)
}

export function setToken (token) {
  localStorage.setItem(AccessTokenKey, token.accessToken)
  localStorage.setItem(RefreshTokenKey, token.refreshToken)
}

export function removeToken () {
  localStorage.removeItem(AccessTokenKey)
  localStorage.removeItem(RefreshTokenKey)
}
